/***************************************
*                                      *
*   Copyright (c) 1998 Jean-Eric Pin   *
*   All rights reserved.               *
*                                      *
*   TAB = 2 spaces                     *
*                                      *
***************************************/
/*-------------------------------------------------------------------
 * Arithmetique.h    Jean-Eric Pin 18/03/98
 * Fonctions arithmetiques elementaires. Utilisees seulement pour
 * le calcul de la taille des monoides In et POIn, donc pour de petites valeurs
 * Ne pas utiliser a d'autres fins (risques de depassement)
 * Evite le recours a une bibliotheque specialisee
 *-------------------------------------------------------------------
 */     

#ifndef __ARITHMETIQUE__
#define __ARITHMETIQUE__

int Factorial(int n);
int Binomial(int n, int k);
int Stirling(int n);

#endif
