/***************************************
*                                      *
*   Copyright (c) 1998 Jean-Eric Pin   *
*   All rights reserved.               *
*                                      *
*   TAB = 2 spaces                     *
*                                      *
***************************************/

/*-------------------------------------------------------------------
 * Initialisation.h    Jean-Eric Pin 07/12/96
 *-------------------------------------------------------------------
 */     

typedef void (*Copie_) (element, element);    /* Type pointeur sur une fonction produit. */ 
typedef unsigned long (*Hachage_) (element);    /* Type pointeur sur une fonction de hachage */
typedef void (*Produit_) (element, element, element);    /* Type pointeur sur une fonction produit. */ 
typedef numero (*ProduitRapide_) (numero, numero);    /* Type pointeur sur une fonction produit. */ 
typedef short (*EstEgal_) (element, element);    /* Type pointeur sur un test d'egalite. */ 
typedef void (*FaireIdentite_) (element);    /* Type pointeur sur un test d'egalite. */ 
typedef void (*Entree_) (void);      /* Type pointeur sur une fonction d'entree. */ 
typedef void (*Sauvegarde_) (FILE *);    /* Type pointeur sur une fonction de sauvegarde. */ 
typedef void (*Lecture_) (FILE *);    /* Type pointeur sur une fonction de sauvegarde. */ 
typedef void (*Sortie_) (element);    /* Type pointeur sur une fonction de sortie. */ 
typedef element (*Alloue_) (void);    /* Type pointeur sur une fonction d'allocation de memoire. */ 
typedef void (*Libere_) (element);    /* Type pointeur sur une fonction de liberation de memoire. */ 
typedef void (*EntreePartie_) (void);    /* Type pointeur sur une fonction de type void. */ 
 
void Baniere(void);
void ProduitRenverse(element x, element y, element xy);
void Choix(void);
void InitIdentite(void);
void InitGenerateurs(void);
void ElimineGenerateurs(void);
void InitCalcul(void);
void InitVariables(void);   
void InitDrapeaux(void);  
void InitPile(elementpile *Pile);
/* void ChoixLangue(void); */
