/***************************************
*                                      *
*   Copyright (c) 1998 Jean-Eric Pin   *
*   All rights reserved.               *
*                                      *
*   TAB = 2 spaces                     *
*                                      *
***************************************/

/*-------------------------------------------------------------------
 * Reduction.h    Jean-Eric Pin 07/12/96
 *-------------------------------------------------------------------
 */     

numero Reduction(lettre *Mot);
numero ProduitParReduction(numero x1, numero x2);
numero ProduitParReductionRecursif(numero n1, numero n2);
info *ProduitParReductionInfo(info *n1, info *n2);
numero xOmega(numero x);
void Calcul_eSe_Brutal(numero e);   /* Par force brute ! A modifier */
void CalculMonoideLocal(numero e);
void CalculMonoideLocalMot(lettre *Mot);
void ParcoursDroit(numero s);   /* Parcours en profondeur du graphe droit */
void ParcoursGauche(numero s);  /* Parcours en profondeur du graphe gauche */
void CalculIdealDroit(numero s);   /* Ideal a droite engendre par s */
void CalculIdealGauche(numero s);   /* Ideal a gauche engendre par s */

